/*
 * @Author: fgg-zero 
 * @Date: 2018-05-28 16:26:21 
 * @Last Modified by: fgg-zero
 * @Last Modified time: 2018-06-14 09:51:32
 */

class Message {
    constructor(type, content, connectorId) {
        this.type = type
        this.connectorId = connectorId
        this.content = content
        this.timestamp = new Date().toISOString()
    }

    lean() {
        return this.content
    }

    attachments(list) {
        this.content.attachments = [];
        if (list) {
            for (var i = 0; i < list.length; i++) {
                this.addAttachment(list[i]);
            }
        }
        return this;
    }

    addAttachment(attachment) {
        if (attachment) {
            var a = attachment.toAttachment ? attachment.toAttachment() : attachment;
            if (!this.content.attachments) {
                this.content.attachments = [a];
            }
            else {
                this.content.attachments.push(a);
            }
        }
        return this;
    }

}

module.exports = Message