class Recognizer {
  constructor(recognizer) {
    this.recognizer = recognizer
  }

  extract() { }

  match(data, cb) {
    if (this.recognizer instanceof RegExp) {
      cb(null, this.recognizer.test(data.message))
    } else if (this.recognizer instanceof Function) {
      let result = this.recognizer(data)
      if (result instanceof Promise) {
        result.then((resolved) => {
          if (resolved) {
            cb(null, true)
          } else {
            cb(null, false)
          }
        })
      } else {
        cb(null, result)
      }
    } else {
      cb(new Error(`[bot error]:disabled recognizer : ${recognizer}`))
    }
  }

}

module.exports = Recognizer
