/*
 * @Author: fgg-zero 
 * @Date: 2018-05-28 11:36:44 
 * @Last Modified by: fgg-zero
 * @Last Modified time: 2018-05-30 16:30:58
 */

class Storage {
  constructor() {
    this.userStore = {} //用户信息
    this.conversationStore = {} //对话信息
  }

  getStorage() {
    var data = {};
    if (context.userId) {
      if (context.persistUserData) {
        if (this.userStore.hasOwnProperty(context.userId)) {
          data.userData = JSON.parse(this.userStore[context.userId]);
        }
        else {
          data.userData = null;
        }
      }
      if (context.conversationId) {
        var key = context.userId + ':' + context.conversationId;
        if (this.conversationStore.hasOwnProperty(key)) {
          data.privateConversationData = JSON.parse(this.conversationStore[key]);
        }
        else {
          data.privateConversationData = null;
        }
      }
    }
    if (context.persistConversationData && context.conversationId) {
      if (this.conversationStore.hasOwnProperty(context.conversationId)) {
        data.conversationData = JSON.parse(this.conversationStore[context.conversationId]);
      }
      else {
        data.conversationData = null;
      }
    }
    callback(null, data);
  }

  saveStorage() {
    if (context.userId) {
      if (context.persistUserData) {
        this.userStore[context.userId] = JSON.stringify(data.userData || {});
      }
      if (context.conversationId) {
        var key = context.userId + ':' + context.conversationId;
        this.conversationStore[key] = JSON.stringify(data.privateConversationData || {});
      }
    }
    if (context.persistConversationData && context.conversationId) {
      this.conversationStore[context.conversationId] = JSON.stringify(data.conversationData || {});
    }
    callback(null);
  }

  deleteStorage() { }

}

module.exports = Storage