
function zongJinE(constants) {
    let Z, // 标的总额
        P, // 在职月数
        Q, // 已离职月数
        vacM, // 拖欠工资月数
        Salary, // 月工资钱数
        date = new Date().getDate(), // 咨询当天日期
        N = getCompensationMonthCount(P), //经济补偿系数
        RedSalary, //工资被降的金额
        RedM //工资被降的月数

// 计算标的常量额
    let Y1,
        Y2,
        Y3,
        Y4,
        Y5,
        Y6,
        Y7,
        Y8

// 单项标的额
    let X1 = 0,
        X2 = 0,
        X3 = 0,
        X4 = 0,
        X5 = 0

    function getCompensationMonthCount(totalMonth) {
        let _s = 0
        if (totalMonth >= 6 && totalMonth % 6 === 0) {
            _s = Math.ceil(totalMonth / 12)
        } else {
            _s = (Math.floor(totalMonth / 6) + 1) * 0.5
        }
        return _s
    }

// 未签劳动合同
    function weiQianLaoDongHeTong() {
        if (Q >= 12) {
            X1 = 0
        } else if (Q > 0 && Q < 12) {
            if (P + Q < 24) {
                if (P + Q <= 12) {
                    X1 = Y4
                } else if (P <= 12 && P + Q > 12) {
                    X1 = Y6
                } else if (P > 12) {
                    X1 = Y7
                }
            } else if (P + Q >= 24) {
                X1 = 0
            }
        } else if (Q === 0) {
            if (P >= 24) {
                X1 = 0
            } else if (P <= 12) {
                X1 = Y4
            } else if (P > 12 && P <= 24) {
                X1 = Y5
            }
        }
    }

// 拖欠工资
    function tuoQianGongZi() {
        if (Q >= 12) {
            X2 = 0
        } else if (Q === 0) {
            X2 = Y1 + Y2 + Y3
            Y2 = 0
        } else if (Q > 0 && Q < 12) {
            X2 = Y1 + Y2
            Y2 = 0
        }
    }

// 未缴纳社保
    function weiJiaoNaSheBao() {
        if (Q >= 12) {
            X3 = 0
        } else if (Q >= 0 && Q < 12) {
            X3 = Y2
            Y2 = 0
        }
    }


// 被公司辞退
    function beiGongSiCiTui() {
        if (Q >= 12) {
            X4 = 0
        } else if (Q === 0) {
            X4 = Y2 * 2
            Y2 = 0
        } else if (Q > 0 && Q < 12) {
            X4 = Y2 * 2
            Y2 = 0
        }
    }

// 调岗降薪
    function tiaoGangJiangXin() {
        if (Q >= 12) {
            X5 = 0
        } else if (Q === 0) {
            X5 = Y2 + Y8 + Y3
            Y2 = 0
        } else if (Q > 0 && Q < 12) {
            X5 = Y2 + Y8
            Y2 = 0
        }
    }
    for (var i in constants) {
        constants[i] = Number(constants[i])
        if (!(constants[i] || constants[i] === 0)) {
            constants[i] = 0
        }
    }
    P = constants['在职月数'] // 在职月数
    Q = constants['离职月数'] // 已离职月数
    vacM = constants['拖欠工资月数'] // 拖欠工资月数
    Salary = constants['月工资'] // 月工资钱数
    //到2018年八月一号工资最低标准调整为2200
    if (+new Date() < +new Date('2018-08-01')) {
        if (Salary <= 2130) {
            Salary = 2130
        }
    } else {
        if (Salary <= 2200) {
            Salary = 2200
        }
    }

    N = getCompensationMonthCount(P) //经济补偿系数
    RedSalary = constants['降薪数'] //工资被降的金额
    RedM = constants['降薪月数'] //工资被降的月数
    if (constants['咨询当天日期']) {
        date = constants['咨询当天日期'] // 咨询当天日期
    }
    Y1 = Salary * vacM
    Y2 = Salary * N
    Y3 = (date - 6) / 21.75 * Salary
    if (Y3 < 0) {
        Y3 = 0
    }
    Y4 = (P - 1) * Salary
    Y5 = (24 - P) * Salary
    Y6 = (12 - Q) * Salary
    Y7 = (24 - P - Q) * Salary
    Y8 = RedSalary * RedM

    try {
        if (constants['是否被辞退']) {
            beiGongSiCiTui()
        }
        if (!constants['是否签劳动合同']) {
            weiQianLaoDongHeTong()
        }
        if (!constants['是否交社保']) {
            weiJiaoNaSheBao()
        }
        if (constants['是否拖欠工资']) {
            tuoQianGongZi()
        }
        if (constants['是否调岗降薪']) {
            tiaoGangJiangXin()
        }

        X1 = Math.round(X1 * 100) / 100
        X2 = Math.round(X2 * 100) / 100
        X3 = Math.round(X3 * 100) / 100
        X4 = Math.round(X4 * 100) / 100
        X5 = Math.round(X5 * 100) / 100
        if (X1<0) {
            X1 = 0
        }
        if (X2<0) {
            X2 = 0
        }
        if (X3<0) {
            X3 = 0
        }
        if (X4<0) {
            X4 = 0
        }
        if (X5<0) {
            X5 = 0
        }
        Z = X1 + X2 + X3 + X4 + X5
        let processingScheme = ''
        if (Z >= 8000) {
            processingScheme = '1'
        } else if (Z > 0 && Z < 8000) {
            processingScheme = '2'
        } else if (Z === 0 && constants[10]) {
            processingScheme = '4'
        } else if (Z === 0) {
            processingScheme = '3'
        }
        return Z
    } catch (e) {
        console.error(e)
    }
}
module.exports = zongJinE
