const chinese2num = require('chinese2num');


/**
 * 抽取string里的数字 目前支持：3月 ,三，3这三种类型
 * @param string
 * @returns {*}
 */
function extractNumber (string) {
  if (!isNaN(chinese2num(string))) {
    return chinese2num(string)
  }

  const months = string.match(/([一两二三四五六七八九十百千万]+)/)
  let month = 0
  const half = (/半个|[一两二三四五六七八九十]个?半/).test(string)
  if (months && months.length) {
    month =  chinese2num(months[0])
  }
  if (half) {
    month += 0.5
  }

  if(month){
    return month
  }


  const number = string.replace(/[^0-9]/ig,"")
  if (!(isNaN(number))) {
    return number
  }

  return null
}
module.exports = extractNumber



